var options = {
  series: [
    {
      name: 'Chrome',
      data: [44, 55, 41, 37, 22, 43, 21],
    },
    {
      name: 'Safari',
      data: [53, 32, 33, 52, 13, 43, 32],
    },
    {
      name: 'Edge',
      data: [12, 17, 11, 9, 15, 11, 20],
    },
    {
      name: 'Firefox',
      data: [9, 7, 5, 8, 6, 9, 4],
    },
    {
      name: 'Other',
      data: [25, 12, 19, 32, 25, 24, 10],
    },
  ],
  chart: {
    type: 'bar',
    height: 350,
    stacked: true,
    stackType: '100%',
  },
  plotOptions: {
    bar: {
      horizontal: true,
    },
  },
  stroke: {
    width: 1,
    colors: ['#fff'],
  },
  title: {
    text: 'Browser Market Share by Year',
  },
  xaxis: {
    categories: [2019, 2020, 2021, 2022, 2023, 2024, 2025],
  },
  tooltip: {
    y: {
      formatter: function (val) {
        return val + 'K'
      },
    },
  },
  fill: {
    opacity: 1,
  },
  legend: {
    position: 'top',
    horizontalAlign: 'left',
    offsetX: 40,
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

const ApexChart = () => {
        const [state, setState] = React.useState({
          
            series: [{
              name: 'Marine Sprite',
              data: [44, 55, 41, 37, 22, 43, 21]
            }, {
              name: 'Striking Calf',
              data: [53, 32, 33, 52, 13, 43, 32]
            }, {
              name: 'Tank Picture',
              data: [12, 17, 11, 9, 15, 11, 20]
            }, {
              name: 'Bucket Slope',
              data: [9, 7, 5, 8, 6, 9, 4]
            }, {
              name: 'Reborn Kid',
              data: [25, 12, 19, 32, 25, 24, 10]
            }],
            options: {
              chart: {
                type: 'bar',
                height: 350,
                stacked: true,
                stackType: '100%'
              },
              plotOptions: {
                bar: {
                  horizontal: true,
                },
              },
              stroke: {
                width: 1,
                colors: ['#fff']
              },
              title: {
                text: '100% Stacked Bar'
              },
              xaxis: {
                categories: [2008, 2009, 2010, 2011, 2012, 2013, 2014],
              },
              tooltip: {
                y: {
                  formatter: function (val) {
                    return val + "K"
                  }
                }
              },
              fill: {
                opacity: 1
              
              },
              legend: {
                position: 'top',
                horizontalAlign: 'left',
                offsetX: 40
              }
            },
          
          
        });

        

        return (
          <div>
            <div id="chart">
                <ReactApexChart options={state.options} series={state.series} type="bar" height={350} />
              </div>
            <div id="html-dist"></div>
          </div>
        );
      }

      const domContainer = document.querySelector('#app');
      ReactDOM.render(<ApexChart />, domContainer);
    


      <div id="chart">
  <ReactApexChart options={state.options} series={state.series} type="bar" height={350} />
</div>
    

Stay Updated

Get the latest news, updates and what's coming next! Sign up for our Newsletter here.

Thank You! You are signed up.

There was an error while trying to send your request. Please try again.

ApexCharts.js will use the information you provide on this form to be in touch with you and to provide updates and marketing.